module.exports = app => {
  const practiceans = require("../controllers/practiceans.controller.js");
  var router = require("express").Router();
  router.post("/addpracticetestans", practiceans.addpracticetestans);
  router.post("/getdomainreportpracticetestans", practiceans.getdomainreportpracticetestans);
  router.post("/getuserreportpracticetestAns", practiceans.getuserreportpracticetestAns);
  router.post("/practice_result_pagination", practiceans.practice_result_pagination);
  router.post("/practicecomplate", practiceans.practicecomplate);
  router.post("/savenotes", practiceans.savenotes);
  router.post("/filtertestques", practiceans.filtertestques);
  router.post("/getcohortsuserallexam", practiceans.getcohortsuserallexam);

  router.post("/practiceAppque/add", practiceans.addPracticeAppque);
  router.post("/practiceAppque/all", practiceans.getAllPracticeAppque);
  router.get("/practiceAppque/:id", practiceans.practiceAppQueById);
  router.delete("/practiceAppque/:id", practiceans.deletePracticeAppque);
  router.put("/practiceAppque/:id", practiceans.updatePracticeAppque);

  router.get("/practiceque/:id", practiceans.practiceQueById);
  router.delete("/practiceque/:id", practiceans.deletePracticeQue);
  router.put("/practiceque/:id", practiceans.updatePracticeQue);
  router.post("/practiceque/add", practiceans.addPracticeQue);
  router.post("/practiceque/all", practiceans.getAllPracticeQue);

  router.get("/practicetest/:id", practiceans.practiceTestById);
  router.delete("/practicetest/:id", practiceans.deletePracticeTest);
  router.put("/practicetest/:id", practiceans.updatePracticeTest);
  router.post("/practicetest/add", practiceans.addPracticeTest);

  app.use('/practiceans', router);
};
